# Interface HttpClient

### Hierarchy

- HttpClient

### Implemented by

- RequestClient

### Methods

- clearCsrfTokens
- delete
- get
- getCsrfToken
- post
- put

## Methods

### clearCsrfTokens

- clearCsrfTokens(): void

- - Defined in src/request/RequestClient.ts:43

  #### Returns void

### delete

- delete<T>(url: string, accessToken: string | undefined): Promise<object>

- - Defined in src/request/RequestClient.ts:37

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### accessToken: string | undefined

  #### Returns Promise<object>

### get

- get<T>(url: string, accessToken: string | undefined, contentType: string, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:15

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### accessToken: string | undefined

  - ##### contentType: string

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

### getCsrfToken

- getCsrfToken(type: "general" | "file"): CsrfToken | undefined

- - Defined in src/request/RequestClient.ts:42

  #### Parameters

  - ##### type: "general" | "file"

  #### Returns CsrfToken | undefined

### post

- post<T>(url: string, data: any, accessToken: string | undefined, contentType: string, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:22

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### data: any

  - ##### accessToken: string | undefined

  - ##### contentType: string

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

### put

- put<T>(url: string, data: any, accessToken: string | undefined, overrideHeaders: object): Promise<object>

- - Defined in src/request/RequestClient.ts:30

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: string

  - ##### data: any

  - ##### accessToken: string | undefined

  - ##### overrideHeaders: object

    - ##### [key: string]: string | number

  #### Returns Promise<object>

Generated using TypeDoc